Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.umich.soar.hpp
Enum HPPlan.PlanType

    java.lang.Object
      java.lang.Enum<HPPlan.PlanType>
          edu.umich.soar.hpp.HPPlan.PlanType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HPPlan.PlanType>

Enclosing class:
  HPPlan

    public static enum HPPlan.PlanType

extends java.lang.Enum<HPPlan.PlanType>

Action control scheme possibilities

Enum Constant Summary
`seq`
`set`

Method Summary
`static HPPlan.PlanType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HPPlan.PlanType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### seq

    public static final HPPlan.PlanType seq

### set

    public static final HPPlan.PlanType set

Method Detail

### values

    public static HPPlan.PlanType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HPPlan.PlanType c : HPPlan.PlanType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HPPlan.PlanType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD